include(${CMAKE_CURRENT_LIST_DIR}/cmake)
include(${CMAKE_CURRENT_LIST_DIR}/ports/cmake)

include(${MAIN_DIR}/SYSTEM/cmake)
include(${MAIN_DIR}/SERVICES/ELpay/cmake)
include(${MAIN_DIR}/GUI/cmake)
include(${MAIN_DIR}/LIBS/codecs/cmake)
include(${MAIN_DIR}/LIBS/yajl/cmake)
include(${MAIN_DIR}/LIBS/ELpay/cmake)

set(BASE_HEADERS
  ${APP_BASE_HEADERS}
  ${PORTS_BASE_HEADERS}
  
  ${SYS_HEADERS}
  ${SRV_ELPAY_HEADERS}
  ${GUI_HEADERS}
  ${LIB_CODECS_HEADERS}
  ${LIB_YAJL_HEADERS}
  ${LIB_ELPAY_HEADERS}
)

set(BASE_SOURCES
  ${APP_BASE_SOURCES}
  ${PORTS_BASE_SOURCES}
  
  ${SYS_SOURCES}
  ${SRV_ELPAY_SOURCES}
  ${GUI_SOURCES}
  ${LIB_CODECS_SOURCES}
  ${LIB_YAJL_SOURCES}
  ${LIB_ELPAY_SOURCES}
)